Bug 143910 - X is unusable on GeForce 6600GT with nForce4
Summary: X is unusable on GeForce 6600GT with nForce4
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-01-01 05:35 UTC by Robert Hancock
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 6.8.1.904-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 01:34:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file from X startup using VESA driver (56.38 KB, text/plain)
2005-01-01 05:36 UTC, Robert Hancock
no flags Details
Full dmesg output from system bootup (18.09 KB, text/plain)
2005-01-01 05:38 UTC, Robert Hancock
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:198 high SHIPPED_LIVE Moderate: xorg-x11 security update 2005-06-08 04:00:00 UTC

Description Robert Hancock 2005-01-01 05:35:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
On the following system:

Asus A8N-SLI Deluxe motherboard
Leadtek GeForce 6600GT 128MB video (PCI Express)
Athlon 64 3500+

X is unusable out of the box, the display shows only garbage (random
pixels). The nv driver built into Xorg doesn't recognize this card, so
the VESA driver gets used. However, it just displays garbage, both in
the installer and in X after installation. I had to use text-mode install.

The NVIDIA binary driver works better, but has some other problems
(the mouse cursor is invisible, and the console text gets messed up
when you leave X).

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run installer on system with hardware similar to above


Actual Results:  X display consists entirely of gibberish

Expected Results:  X display works properly

Additional info:

Comment 1 Robert Hancock 2005-01-01 05:36:44 UTC
Created attachment 109211 [details]
Xorg log file from X startup using VESA driver

This is the X server output on a startup which resulted in only garbage being
displayed

Comment 2 Robert Hancock 2005-01-01 05:38:03 UTC
Created attachment 109212 [details]
Full dmesg output from system bootup

Comment 3 Robert Hancock 2005-01-20 03:20:41 UTC
Michael Yaroslavtsev traced this problem to a problem with handling of
64-bit BARs in the xorg X server code. A patch to resolve this problem
is linked to on this xorg bug entry:

https://bugs.freedesktop.org/show_bug.cgi?id=2322

I tested the "minimal" patch there and both the NVIDIA driver and the
VESA driver appear to work fine. Could we get this patch into Fedora?

Comment 4 Mike A. Harris 2005-01-20 18:17:37 UTC
Taking bug ownership of this one.

Comment 5 Mike A. Harris 2005-01-20 18:18:41 UTC
Bug #140601 is similar in nature, and probably the same issue.

Comment 6 Mike A. Harris 2005-01-20 19:57:36 UTC
I've added the "simple" fix from the above freedesktop bug report to
our CVS 'devel' branch.  It will be in future builds.  Once rpms
are available for testing, I'll update the status of this report.



Comment 7 Mike A. Harris 2005-02-08 03:37:46 UTC
xorg-x11-6.8.1.904-1 is currently in rawhide with an updated
"nv" driver.  Please update to the rawhide xorg-x11 and configure
your xorg.conf to use the 'nv' driver, and provide status report
back wether it works or not.  Note: If you have nvidia's proprietary
driver installed, you will need to disable it, and reboot your
kernel, ensuring the proprietary kernel modules do not get loaded
first.

Thanks in advance.

Comment 8 Mike A. Harris 2005-02-08 03:38:34 UTC
Setting status to "NEEDINFO", awaiting report back of results of
testing with xorg-x11 from rawhide.

Comment 9 Robert Hancock 2005-02-09 01:34:17 UTC
Confirmed that both the nv and nvidia drivers are now working with the
6.8.1.904-1 release.

Comment 10 Tim Powers 2005-06-08 15:33:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-198.html



Note You need to log in before you can comment on or make changes to this bug.